%undefine __libtoolize

Name: kmldonkey
Version: 0.9.1
Release: alt1

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Summary: KMLDonkey is a project that aims to fully integrate the mldonkey P2P software into the KDE desktop
License: GPL
Group: Networking/File transfer
Url: http://www.gibreel.net/projects/kmldonkey

Source0: %name-%version.tar.gz

Requires: kdelibs-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Sun Nov 16 2003
BuildRequires: XFree86-devel-static XFree86-libs doxygen fontconfig freetype2 gcc-c++ graphviz hostinfo kde-settings kdegames-libs kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpcre-devel libpng-devel libqt3-devel libstdc++-devel libxslt qt3-designer qt3-doc xml-utils zlib-devel

BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
KMLDonkey is a project that aims to fully integrate the mldonkey P2P software into the KDE desktop. It consists of the following parts:

    * An mldonkey GUI interface written for the KDE environment that runs as an applet on the KDE panel.
    * A protocol handler for ed2k links, which means you can click on ed2k links in Konqueror (and other KDE applications) to download them with mldonkey.
    * A Control Centre module for configuring mldonkey connectivity.

%package devel
Group: Development/C++
Summary: Development files for %name
Requires: %name = %version-%release
#
%description -n %name-devel
This package contains headers and other development files for %name

%package doc
Group: Networking/File transfer
Summary: Documents and mans for %name
Requires: %name = %version-%release
#
%description -n %name-doc
This package contains documents and mans for %name

%prep
%setup -q


%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
%configure \
	--disable-rpath \
	--disable-debug \
	--with-arts

%make_build


%install
%make DESTDIR=%buildroot install
%set_verify_elf_method textrel=relaxed

# icon
mkdir -p %buildroot/%_liconsdir %buildroot/%_miconsdir
ln -s ../hicolor/16x16/apps/%name.png %buildroot/%_miconsdir
ln -s ./hicolor/32x32/apps/%name.png %buildroot/%_iconsdir
ln -s ../hicolor/48x48/apps/%name.png %buildroot/%_liconsdir

# menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Networking/File transfer" %buildroot/%_datadir/applnk/Internet/%name.desktop %buildroot/%_menudir/%name
kdedesktop2mdkmenu.pl %name .hidden %buildroot/%_datadir/applnk/Settings/Network/kcmdonkey.desktop %buildroot/%_menudir/%name-settings kde

%find_lang %name


%post
%update_menus                                                        

%postun
%clean_menus                                                        


%files -f %name.lang
%_bindir/*
%_libdir/*.la
%_libdir/*.so.*
%_libdir/kde3/*
#
%_datadir/apps/%name
%_datadir/apps/mldonkeyapplet
%_datadir/apps/kicker/applets/*.desktop
%_datadir/apps/konqueror/servicemenus/*.desktop
%_datadir/services/*.protocol
#
%_iconsdir/*/*/*/*.png
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
#
%_menudir/%{name}*
%_datadir/applnk/Internet/%name.desktop
%_datadir/applnk/Settings/Network/*.desktop
#
%doc ChangeLog TODO AUTHORS NEWS

%files devel
%_libdir/*.so
%_includedir/*.h
%_includedir/%name

%files doc
%_mandir/man1/kmld*
%doc %_datadir/doc/HTML/en/%name
%doc %_datadir/doc/HTML/en/%name-apidocs

%changelog
* Sun Nov 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt1
- 0.9.1
- rebuilding in hasher

* Fri Jun 27 2003 Sergey V Turchin <zerg@altlinux.org> 0.9-alt0.1.cvs
- new cvs-version
- new spec-file

* Sun Jun 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8-alt1
- 0.8

- specfile cleanup
